MAC3_REFINEPEAK(1)

NAME
mac3_refinepeak - Model-based Analysis for ChIP-Sequencing

DESCRIPTION
usage: macs3 refinepeak [-h] -b BEDFILE -i IFILE [IFILE ...]

[-f {AUTO,BAM,SAM,BED,ELAND,ELANDMULTI,ELANDEXPORT,BOWTIE}]
    [-c CUTOFF] [-w WINDOWSIZE] [--buffer-size BUFFER_SIZE] [--verbose VERBOSE] [--outdir OUTDIR] (-o OFILE | --o-prefix OPREFIX)

  options:

-h, --help
    show this help message and exit

-b BEDFILE
    Candidate peak file in BED format. REQUIRED.

-i, --ifile IFILE [IFILE ...]
    ChIP-seq alignment file. If multiple files are given as '-t A B C', then they will all be read and combined. Note that pair-end data is not supposed to work with this command. REQUIRED.

-f, --format {AUTO,BAM,SAM,BED,ELAND,ELANDMULTI,ELANDEXPORT,BOWTIE}
    Format of tag file, "AUTO", "BED" or "ELAND" or "ELANDMULTI" or "ELANDEXPORT" or "SAM" or "BAM" or "BOWTIE". The default AUTO option will let 'macs3 refinepeak' decide which format the file is. Please check the definition in README file if you choose ELAND/ELANDMULTI/ELANDEXPORT/SAM/BAM/BOWTIE. DEFAULT: "AUTO"

-c, --cutoff CUTOFF
    Cutoff. Regions with SPP wtd score lower than cutoff will not be considerred. DEFAULT: 5

-w, --window-size WINDOWSIZE
    Scan window size on both side of the summit (default: 100bp)

--buffer-size BUFFER_SIZE
    Buffer size for incrementally increasing internal array size to store reads alignment information. In most cases, you don't have to change this parameter. However, if there are large number of chromosomes/contigs/scaffolds in your alignment, it's recommended to specify a smaller buffer size in order to decrease memory usage (but it will take longer time to read alignment files). Minimum memory requested for reading an alignment file is about # of CHROMOSOME * BUFFER_SIZE * 8 Bytes. DEFAULT: 100000

--verbose VERBOSE
    Set verbose level. 0: only show critical message, 1: show additional warning message, 2: show process information, 3: show debug messages. If you want to know where are the duplicate reads, use 3. DEFAULT:2

--outdir OUTDIR
    If specified all output files will be written to that directory. Default: the current working directory

-o, --ofile OFILE
    Output file name. Mutually exclusive with --o-prefix.

--o-prefix OPREFIX
    Output file prefix. Mutually exclusive with -o/--ofile.